Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.models.commands
Class SetConstraintCommand

    java.lang.Object
      |
      +--org.eclipse.gef.commands.Command
            |
            +--APStudio.models.commands.SetConstraintCommand

public class SetConstraintCommand
extends org.eclipse.gef.commands.Command

Constructor Summary
`SetConstraintCommand()`

Method Summary
`void` | `execute()`
`java.lang.String` | `getLabel()`
`void` | `redo()`
`void` | `setLocation(org.eclipse.draw2d.geometry.Point p)`
`void` | `setLocation(org.eclipse.draw2d.geometry.Rectangle r)`
`void` | `setPart(BasicSubpart part)`
`void` | `setSize(org.eclipse.draw2d.geometry.Dimension p)`
`void` | `undo()`

Methods inherited from class org.eclipse.gef.commands.Command
`canExecute, canUndo, chain, dispose, getDebugLabel, setDebugLabel, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetConstraintCommand

    public SetConstraintCommand()

Method Detail

### execute

    public void execute()

  Overrides:
    `execute` in class `org.eclipse.gef.commands.Command`

### getLabel

    public java.lang.String getLabel()

  Overrides:
    `getLabel` in class `org.eclipse.gef.commands.Command`

### redo

    public void redo()

  Overrides:
    `redo` in class `org.eclipse.gef.commands.Command`

### setLocation

    public void setLocation(org.eclipse.draw2d.geometry.Rectangle r)

### setLocation

    public void setLocation(org.eclipse.draw2d.geometry.Point p)

### setPart

    public void setPart(BasicSubpart part)

### setSize

    public void setSize(org.eclipse.draw2d.geometry.Dimension p)

### undo

    public void undo()

  Overrides:
    `undo` in class `org.eclipse.gef.commands.Command`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD